Page MenuHomePhabricator

Write adapter for Express Checkout
Closed, ResolvedPublic2 Story Points

Description

It's not clear yet which will be more efficient, writing a new adapter class or implementing EC as a payment method of the existing PayPal adapter. Update: there is no code to share.

The tricky part is deciding what to do about gateway_account, gateway short name, and trxn_id...

Details

Related Gerrit Patches:
mediawiki/vagrant : masterdocument more gateway settings
mediawiki/extensions/DonationInterface : masterPayPal Express Checkout: support locale well enough to get ja_JP
mediawiki/extensions/DonationInterface : masterUse PROTO_CURRENT for paypal urls
mediawiki/extensions/DonationInterface : masterRough PayPal Express Checkout integration
mediawiki/extensions/DonationInterface : masterMove legacy PayPal stuff into a subdirectory
mediawiki/extensions/DonationInterface : masterGive token param a WMF namespace
mediawiki/extensions/DonationInterface : masterPayPal EC gets donor details back using API call
mediawiki/extensions/DonationInterface : masterRecord final gateway_txn_id
mediawiki/extensions/DonationInterface : masterAmount is displayed correctly in PayPal

Event Timeline

awight created this task.Apr 4 2016, 9:43 PM
awight claimed this task.Apr 29 2016, 2:05 AM
awight moved this task from Backlog to Doing on the Fundraising Sprint Internet Exploring board.

Change 286116 had a related patch set uploaded (by Awight):
[WIP] Move legacy PayPal stuff into a subdirectory

https://gerrit.wikimedia.org/r/286116

Change 286117 had a related patch set uploaded (by Awight):
[WIP] PayPal Express Checkout integration

https://gerrit.wikimedia.org/r/286117

awight renamed this task from Write adapter or payment method to Write adapter for Express Checkout.Apr 29 2016, 6:54 PM
awight updated the task description. (Show Details)

Change 286483 had a related patch set uploaded (by Awight):
Link to PayPal Express gateway; document more gateway settings

https://gerrit.wikimedia.org/r/286483

Change 286716 had a related patch set uploaded (by Awight):
Give token param a WMF namespace

https://gerrit.wikimedia.org/r/286716

Change 286766 had a related patch set uploaded (by Awight):
PayPal EC gets donor details back using API call

https://gerrit.wikimedia.org/r/286766

Change 286777 had a related patch set uploaded (by Awight):
Record final gateway_txn_id

https://gerrit.wikimedia.org/r/286777

Change 286778 had a related patch set uploaded (by Awight):
Amount is displayed correctly in PayPal

https://gerrit.wikimedia.org/r/286778

This can complete a basic transaction. Feel free to object, but I'm pushing the scrappy rough adapter in the spirit of prototyping for our internal test.

Change 286778 abandoned by Awight:
Amount is displayed correctly in PayPal

https://gerrit.wikimedia.org/r/286778

Change 286777 abandoned by Awight:
Record final gateway_txn_id

https://gerrit.wikimedia.org/r/286777

Change 286766 abandoned by Awight:
PayPal EC gets donor details back using API call

https://gerrit.wikimedia.org/r/286766

Schedule an outage when we deploy this, we don't want donors falling off of the missing Special page gangplank.

Change 287157 had a related patch set uploaded (by Awight):
PayPal Express Checkout: support locale well enough to get ja_JP

https://gerrit.wikimedia.org/r/287157

Change 286716 merged by jenkins-bot:
Give token param a WMF namespace

https://gerrit.wikimedia.org/r/286716

Change 286116 merged by jenkins-bot:
Move legacy PayPal stuff into a subdirectory

https://gerrit.wikimedia.org/r/286116

Change 289102 had a related patch set uploaded (by Cdentinger):
[WIP] Use PROTO_CURRENT for paypal urls

https://gerrit.wikimedia.org/r/289102

Change 286117 merged by jenkins-bot:
Rough PayPal Express Checkout integration

https://gerrit.wikimedia.org/r/286117

Change 289102 merged by jenkins-bot:
Use PROTO_CURRENT for paypal urls

https://gerrit.wikimedia.org/r/289102

Change 287157 merged by jenkins-bot:
PayPal Express Checkout: support locale well enough to get ja_JP

https://gerrit.wikimedia.org/r/287157

awight closed this task as Resolved.Jun 1 2016, 7:59 PM
awight moved this task from Pending Deployment to Done on the Fundraising Sprint Killing Time board.

Change 286483 merged by jenkins-bot:
document more gateway settings

https://gerrit.wikimedia.org/r/286483

mmodell removed a subscriber: awight.Jun 22 2017, 9:54 PM